<template>
	<div class="app-container">
    <el-form :model="queryParams" ref="queryForm" :inline="true" v-show="showSearch" label-width="70px">
    	<el-row>
        <el-col :span="24">
        	<el-row>

           <el-col :span="7">
           	<el-form-item label="开始时间" prop="startTime">
           		<el-date-picker
           			clearable
           			v-model="queryParams.startTime"
           			type="datetime"
           			value-format="yyyy-MM-dd HH:mm:ss"
           			format="yyyy-MM-dd HH:mm:ss"
           			placeholder="选择开始时间"
           			style="width: 220px;"
           		></el-date-picker>
           	</el-form-item>
           </el-col>
           <el-col :span="6">
           	<el-form-item label="核酸状态" prop="nucleicAcidStatus">
           		<el-select v-model="queryParams.nucleicAcidStatus" placeholder="核酸状态" clearable style="width:180px;"  @keyup.enter.native="handleQuery"
           	     >
           			<el-option v-for="dict in typeOptionshuuj" :key="dict.dictValue" :label="dict.dictLabel" :value="dict.dictValue" />
           		</el-select>
           	</el-form-item>
           </el-col>



            <el-col :span="11" class="jehak">
            	<el-form-item label="核酸地址" prop="villagerGroup">

                <!-- @click.native="clicks" -->
                <!-- :popper-class="'cascader' + id" -->
                <el-cascader
                	placeholder="点击选择核酸地址"
                	:options="optionsList"
                	filterable
                	@change="chahes"
                	:props="optionPropsssd"
                	style="width: 141%;"
                	@keyup.enter.native="handleQuery"
                  ref="myCascader"
                  v-model="listds"
                  @active-item-change="handleItemChangefr"
                ></el-cascader>
                <!-- optionPropsssd  optionPropsss-->
            	</el-form-item>
            </el-col>
        	</el-row>
        </el-col>
        <el-col :span="24">
        	<el-row>
             <el-col :span="7">
             	<el-form-item label="结束时间" prop="endTime">
             	<el-date-picker
             		clearable
             		v-model="queryParams.endTime"
             		type="datetime"
             		value-format="yyyy-MM-dd HH:mm:ss"
             		format="yyyy-MM-dd HH:mm:ss"
             		placeholder="选择结束时间"
             		style="width: 220px;"
             	></el-date-picker>
             	</el-form-item>
             </el-col>

           <el-col :span="6">
           	<el-form-item label="核酸次数" prop="hsjlCount">
           		<el-select v-model="queryParams.hsjlCount" placeholder="核酸次数" clearable style="width:180px;"  @keyup.enter.native="handleQuery"
                  >
           			<el-option v-for="dict in typeOptions" :key="dict.dictValue" :label="dict.dictLabel" :value="dict.dictValue" />
           		</el-select>
           	</el-form-item>
           </el-col>

           <el-col :span="11" class="jehak">
           	<el-form-item label="户籍地址" prop="villagerGroup">
               <el-cascader
               	placeholder="点击选择户籍地址"
               	:options="optionsList"
               	:filterable="true"
               	separator="/"
               	@change="chahetwo"
               	:props="optionPropsssd"
               	style="width: 141%;"
               	ref="myCascaderqty"
                 v-model="lser"
                 @active-item-change="handleItemChangefr"
                 @keyup.enter.native="handleQuery"
               ></el-cascader>
           	</el-form-item>
           </el-col>
        	</el-row>
        </el-col>
        <el-col :span="24">
        	<el-row>

            <el-col :span="7">
            	<el-form-item label="身份证号" prop="idCard">
            		<el-input v-model="queryParams.idCard" placeholder="请输入身份证号码" style="width:220px;" clearable @keyup.enter.native="handleQuery" />
            	</el-form-item>
            </el-col>
            <el-col :span="6">
            	<el-form-item label="人员姓名" prop="userName">
            		<el-input v-model="queryParams.userName" placeholder="请输入姓名" style="width:180px" clearable @keyup.enter.native="handleQuery" />
            	</el-form-item>
            </el-col>

           <el-col :span="11" class="jehak">
           	<el-form-item label="居住地址" prop="villagerGroup">
               <el-cascader
               	placeholder="点击选择居住地址"
               	:options="optionsList"
               	filterable
               	@change="chahetwos"
               	:props="optionPropsssd"
               	style="width: 141%;"
               	@keyup.enter.native="handleQuery"
                 ref = "cdd"
                 v-model="listd"
                 @active-item-change="handleItemChangefr"
               ></el-cascader>
           	</el-form-item>
           </el-col>
        	</el-row>
        </el-col>
    		<el-col :span="24">
    			<el-row>
            <el-col :span="7">
            	<el-form-item label="联系号码" prop="phoneNum">
            		<el-input v-model="queryParams.phoneNum" placeholder="请输入联系号码" style="width:220px;"clearable @keyup.enter.native="handleQuery" />
            	</el-form-item>
            </el-col>
            <el-col :span="4" >
            	<el-form-item>
            		<el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
            		<el-button icon="el-icon-refresh" size="mini" @click="resetQuery">重置</el-button>
            	</el-form-item>
            </el-col>
    			</el-row>
    		</el-col>
    	</el-row>
    </el-form>

		<!-- <el-row :gutter="10" class="mb8">
			<el-col :span="1.5"><el-button type="primary" plain icon="el-icon-plus" size="mini" @click="handleAdd(0)" >新增户主</el-button></el-col>
			<el-col :span="1.5">
				<el-button type="success" plain icon="el-icon-edit" size="mini" :disabled="single" @click="handleUpdate" >修改</el-button>
			</el-col>
			<el-col :span="1.5">
				<el-button type="danger" plain icon="el-icon-edit" size="mini" :disabled="multiple" @click="handleDelete" >变更</el-button>
			</el-col>
      <el-col :span="1.5">
      	<el-button type="primary" :plain="nhykis" icon="el-icon-view" size="mini"  @click="chajnd" >查看常住人口信息</el-button>
      </el-col>
      <el-col :span="1.5">
      	<el-button type="primary" :plain="nhyki" icon="el-icon-view" size="mini"  @click="chajnds" >查看户籍人口信息</el-button>
      </el-col>
			<right-toolbar :showSearch.sync="showSearch" @queryTable="getList"></right-toolbar>
		</el-row> -->

<!-- v-if="nbdgywkajs == true" -->
		<el-table     v-loading="loading" :data="infoList" @selection-change="handleSelectionChange" stripe style="width: 100%" :height="tableMaxHeight">
			<el-table-column label="姓名" align="center" prop="userName"   width="110"/>
			<el-table-column label="联系方式" align="center" prop="phoneNum" width="110" />
			<el-table-column label="身份证号码" align="center" prop="idCard" width="180" />
			<el-table-column  label="户籍地址" width="300" align="center"  >
        <template slot-scope="scope">
                 <div v-if="scope.row.nowIn !==null"  v-html="scope.row.domicileSelect  + '<br>' + scope.row.nowIn">
                 </div>
                 <div v-else  v-html="scope.row.domicileSelect  + '<br>' + ''">
                 </div>
        </template>
        </el-table-column>
      <!-- nowInSelect -->
			<el-table-column  label="核酸地址" align="center" prop="address" width="300" >
        <!-- <template slot-scope="scope">
                 <div v-if="scope.row.address !==null"  v-html="scope.row.nowInSelect + '<br>' + scope.row.nowIn">               </div>
                 <div v-else   v-html="scope.row.nowInSelect + '<br>' + scope.row.nowIn">               </div>
        </template> -->
        </el-table-column>
      <el-table-column label="核酸次数" align="center"  width="120" >
         <template slot-scope="scope">
                <!-- <el-tooltip class="item" effect="dark" :content="scope.row.confirmInfoNikeUser" placement="top-start"> -->
                  <span>{{ scope.row.frequency == null? scope.row.frequency :  '暂无数据'}}</span>
                <!-- </el-tooltip> -->
         </template>
      </el-table-column>
      <el-table-column label="核酸时间" align="center" prop="confirmInfoUserTime" width="102" />
			<el-table-column label="操作" align="left" class-name="small-padding fixed-width" fixed="right"  width="160">
				<template slot-scope="scope">
					<el-button size="mini" type="text" icon="el-icon-edit" @click="handleUpdate(scope.row)" >查看详情</el-button>
					<!-- <el-button size="mini" type="text" icon="el-icon-edit" @click="handleDelete(scope.row)" class="hueya" >变更</el-button>
          <el-button v-if="scope.row.houseType == '是'" size="mini" type="text" icon="el-icon-edit" @click="handleDeletefamide(scope.row)" class="hueya" >查看家庭成员</el-button>
          <el-button v-if="scope.row.houseType == '是'" size="mini" type="text" icon="el-icon-plus"   @click="handleAdd(scope.row)" class="hueya" >添加家庭成员</el-button> -->
				</template>
			</el-table-column>
		</el-table>

		<pagination v-if="nbdgywkajs == true" v-show="total > 0" :total="total" :page.sync="queryParams.pageNum" :limit.sync="queryParams.pageSize" @pagination="getList" />

<!-- v-loading="loading" -->
		<!-- 添加或修改疫苗信息对话框 -->

		<el-dialog   :title="title" :visible.sync="opens" width="75%" append-to-body>
      <div class="tank">
        <p class="tank_p">人员基本信息</p>
        <div class="tank_div">
          <p>
            <span>姓名</span>
            <span>{{form.userName}}</span>
          </p>
          <p>
            <span>性别</span>
            <span>{{form.gender}}</span>
          </p>
          <p>
            <span>年龄</span>
            <span>{{form.age}}</span>
          </p>
          <p>
            <span>联系方式</span>
            <span>{{form.phoneNum}}</span>
          </p>
          <p>
            <span>身份证号</span>
            <span>{{form.userName}}</span>
          </p>
        </div>
        <div class="tankd_div">
          <p>
            <span>户籍地址</span>
            <span>{{form.domicileSelect}}</span>
          </p>
          <p>
            <span>详细地址</span>
            <span>{{form.nowIn}}</span>
          </p>
        </div>
        <div class="tankd_div">
          <p>
            <span>居住地址</span>
            <span>钟子安</span>
            <span class="nhyu">钟子安</span>
          </p>
          <p>
            <span>详细地址</span>
            <span>钟子安</span>
          </p>
        </div>
      </div>
      <div class="tank">
        <p class="tank_p">人员核酸信息</p>
        <div class="tank_div">
          <p>
            <span>核酸次数</span>
            <span>{{form.hsjlCount}}</span>
          </p>
        </div>
        <div class="tankd_div">
          <p>
            <span>核酸地址</span>
            <span>{{form.address}}</span>
            <span class="nhyu">钟子安</span>
          </p>
          <p>
            <span>核酸时间</span>
            <span>{{form.samplingTime}}</span>
            <span class="nhyu">钟子安</span>
          </p>
          <!-- <p>
            <span>核酸状态</span>
            <span>钟子安</span>
            <span class="nhyu">钟子安</span>
          </p> -->
        </div>
      </div>

			<div slot="footer" class="dialog-footer">

				<el-button @click="cancel">取 消</el-button>
			</div>
		</el-dialog>

		<!-- 图片预览 -->
		<el-dialog :close-on-click-modal="false" title="变更原因" :visible.sync="imashow" width="800px" append-to-body >

		</el-dialog>

    <el-dialog :close-on-click-modal="false" title="查看信息" :visible.sync="jiezhong" width="97%" append-to-body class="ojhgy">

    </el-dialog>
	</div>
</template>

<script>
import { listInfo, listInfos, getInfo, delInfo, addInfo, updateInfo, exportInfo, listRoleer, idces, delInfort,yiaoe,exportConfig,exportConfigtyr,importLog,listInfotj,listRoleergth,listInfotjxz,listInfotjjs,listInfotjjsfaml,listRoleergthwg,listInfotjjssbule,listInfotjjssquer } from '@/api/system/resident';
// import { treeselect } from '@/api/system/dept';
import { treeselect,treeselectdepts } from "@/api/system/dept";
import Treeselect from '@riophae/vue-treeselect';
import { getToken } from '@/utils/auth';
import '@riophae/vue-treeselect/dist/vue-treeselect.css';
import "@riophae/vue-treeselect/dist/vue-treeselect.css";
export default {
	name: 'Info',
	components: { Treeselect },
	data() {
		return {
			// 遮罩层
			loading: true,
			// 选中数组
			ids: [],
			// 非单个禁用
			single: true,
			// 非多个禁用
			multiple: true,
			// 显示搜索条件
			showSearch: true,
			// 总条数
			total: 0,
      id:'fg',
      idsd:'gh',
      ruleshy:{},
			// 疫苗信息表格数据
			infoList: [],
			dialogImageUrl: '',
			// 弹出层标题
			title: '',
      totalfr:0,
			// 是否显示弹出层
			opens: false,
			process: process.env.VUE_APP_BASE_API,
			// 查询参数
			queryParams: {
				pageNum: 1,
				pageSize: 10,
				villageTowns: null,
				village: null,
				villagerGroup: null,
				houseType: null,
				province: null,
				city: null,
				userName: null,
        queryType:'hj',
				gender: null,
				idCard: null,
				phoneNum: null,
				keyIndustries: null,
				isVaccination: null,
				vaccineName: null,
				vaccinationTime: null,
				vaccinationPlace: null,
				contraindication: null,
				params:{
					age:''
				}
			},
			config: [],
      nhyeswdga:{nhus:[]},
			comfietg:[],
			configther:[],
			configfor:[],
      optionsListwg:[],
      nhduesw:0,
			// 表单参数
			form: {
				nowIn: '',
				age:'',
				code:'',
				czrkJzdzList: [
					{
						provinceId: '',
						province: '',
						deptId: '',
						cityId: '',
						city: '',
						regionId:'',
            region: '',
            townId: '',
            town: '',
            villageId: '',
            village: '',
            nowIn:'',
            seleted:[],
            plaed:'请选择居住地址',
            optiodne:[],
						disableg:false
					},
          {
          	provinceId: '',
          	province: '',
          	deptId: '',
          	cityId: '',
          	city: '',
          	regionId:'',
            region: '',
            townId: '',
            town: '',
            villageId: '',
            village: '',
            nowIn:'',
            seleted:[],
            plaed:'请选择居住地址',
            optiodne:[],
          	disableg:false
          }
				]
			},
      nhykis:true,
      nhyki:false,
      // 用户导入参数
      upload: {
        // 是否显示弹出层（用户导入）
        opens: false,
        // 弹出层标题（用户导入）
        title: "",
        // 是否禁用上传
        isUploading: false,
        // 是否更新已经存在的用户数据
        updateSupport: 0,
        // 设置上传的请求头部
        headers: { Authorization: "Bearer " + getToken() },
        // 上传的地址
        url: process.env.VUE_APP_BASE_API + "/boman-web-core//file/common/importYmjz"
      },
			// 表单校验
			rules: {
				idCard: [{ required: true, message: '身份证号码不能为空', trigger: 'blur' }],
				userName: [{ required: true, message: '姓名不能为空', trigger: 'blur' }],
				provinceId:[{ required: true, message: '户籍地址不能为空或不能只选潜山市', trigger: 'blur' }],
        houseType:[{ required: true, message: '请选择户主', trigger: 'blur' }],
        code:[{ required: true, message: '请输入户编号信息', trigger: 'blur' }],
        yhzgx:[{ required: true, message: '请选择与户主关系', trigger: 'blur' }],
      },
      // yhzgx:[{ required: true, message: '请选择与户主关系', trigger: 'blur' }],
			selected: [],
			selectedtwo: [],
			statusOptions: [
				{
					dictValue: '女',
					dictLabel: '女'
				},
				{
					dictValue: '男',
					dictLabel: '男'
				}
			],
			typeOptionshuuj: [

			],
			deptOptionstwo: [],
			options: [],
      optionss:[],
      optionsList: [],
			optionProps: {
				value: 'areaId',
				label: 'name',
				checkStrictly: true,
			},
      optionPropsssd:{
        value: 'areaId',
        label: 'name',
        checkStrictly: true,
        lazy: true,
        lazyLoad: this.lazyLoads,
        leaf: "leaf"
      },
      // optionPropsss: {
      // 	value: 'areaId',
      // 	label: 'name',
      // 	checkStrictly: true,
      // },
      optionPropsss: {
      	value: 'id',
      	label: 'label',
      	checkStrictly: true,
      },
      optionPropsssdwg:{
        value: 'id',
        label: 'areaName',
        checkStrictly: true,
      },
			optionPropstwo: {
				value: 'id',
				label: 'label',
				children: 'children',
				checkStrictly: true
			},
			heuiq: [],
			typeOptions: [],
			typeOptionsty: [
				{
					dictValue: '是',
					dictLabel: '是'
				},
				{
					dictValue: '否',
					dictLabel: '否'
				}
			],
			typeOptionstyzandeh:[],
			angesList: [

			],
			typeOptionsname: [],
			typeOptionstimes: [],
			typeOptionsvaccinatio: [],
			typeOptionscont: [],
			typeOptionscontty: [],
			typeOptionscontqit:[],
			// 剂次
			typeOptionstimesgt: [
				{
					dictValue: '1',
					dictLabel: '1'
				},
				{
					dictValue: '2',
					dictLabel: '2'
				},
				{
					dictValue: '3',
					dictLabel: '3'
				},
				{
					dictValue: '加强针',
					dictLabel: '加强针'
				}
			],
			imashow: false,
			naneme: false,
			shouwes: false,
			shouwestwo:false,
			villageTownshy: undefined,
			naiseurya: '',
			hsuej: '',
			jdourdjoaj: false,
      senlsduea:false,
			jiezhong: false,
			jiezheList: [],
			fireLise:{config:[]},
			nameutaiL:0,
			jue:false,
			nhue:true,
      exportflag:true,
      errorlog:false,
      errorList:[],
      idfer:0,
      formgt:{},
      list: [],
      listd:[],
      listds:[],
      lser:[],
      ndhesdweaf :'点击选择网格',
      dneyhsd:{},
      nhdyesfgh:'点击选择户籍地址',
      nhe:false,
      nhyesoder:0,
      ndhuwosdjh:{
        pageNum: 1,
        pageSize: 10,
      },
      tableMaxHeight:300,
      cascaderKey:0,
      optionsLists:[],
      nhyeojd:false,
      ndhyuewkg:[],
      nhdyesku:false,
      nbdgywkajs:false,
      shifouh:true,
      bhdes:{},
      nhtrew:false,
      bgtes:[],
      ndheysfs:false,
      nhyesaw:1,
      nhyesfx:false
		};
	},
	created() {
		this.getList();
		// this.getTreeselectjue();
    // this.mnyesfjer(0)
    // this.mnyesfjers(0)
    this.mnyesfjerop(0)
    // this.mnyesfjeropwg(0)
    // this.getTreeselectjuetj()
    // this.getTreeselect()
		// 重点行业
		this.getDicts('sys_hsjl_frequency').then(response => {
			this.typeOptions = response.data;
		});
		// 疫苗名称
		this.getDicts('sys_hsjl_nucleicAcidStatus').then(response => {
			this.typeOptionshuuj = response.data;
		});

    // 与户主关系
    // this.getDicts('yuhuzhuguanxi').then(response => {
    // 	this.typeOptionstyzandeh = response.data;
    // });

		// 年龄阶段
		// this.getDicts('age_interval').then(response => {
		// 	this.angesList = response.data;
		// });

		console.log(this.selected,456)
    console.log(this.cascaderKey,347)

    window.onresize = () => {
                    this.changeTableMaxHeight()
                  }
                  this.changeTableMaxHeight()


	},
	mounted() {
		console.log(136)
    window.onresize = () => {
                    this.changeTableMaxHeight()
                  }
                  this.changeTableMaxHeight()
	},
	methods: {

    /** 查询部门下拉树结构 */
    getTreeselect() {
      treeselectdepts().then(response => {
        this.deptOptionstwo = response.data;
        this.optionsLists = response.data
      });
    },

    // 筛选节点
    filterNode(value, data) {
      if (!value) return true;
      return data.name.indexOf(value) !== -1;
    },
    nhyeosdsef(){
     console.log(234)
    },
    /** 转换菜单数据结构 */
    normalizer(node) {
      if (node.children && !node.children.length) {
        delete node.children;
      }
      return {
        id: node.id,
        label: node.label,
        children: node.children
      };
    },
    /** 初始化下拉框数据 **/
        getRootModels() {
           //初始化数据 只加载根节点
           listRoleergth('0').then(response => {
             for(var i = 0 ; i < this.form.czrkJzdzList.length ; i++){
               this.form.czrkJzdzList[i].optiodne.push(response.data)
             }
           });
         },
    /** 加载子节点数据 **/
         loadOptions({ action, parentNode, callback }){
           console.log(action,125)
           if (action === "LOAD_CHILDREN_OPTIONS") {
           	  //加载点击节点的 子节点
              var ndhes = {}
              ndhes.pid = parentNode.areaId
              listRoleergth(ndhes).then(response => {
                let arr = [];
                arr = response.data
                parentNode.children = arr;
              });
              callback();
            }
         },

		onSelected(data,val) {
			console.log(data, 125);
      if(this.opens == false){
        return  false
      }
      this.nameutaiL = data
      this.nhyeojd = false
      let nhdye = []
      nhdye = this.$refs['myCascaderf' + '' + data][0].getCheckedNodes()[0].pathLabels
      let nhyhe = []
      nhyhe = this.form.czrkJzdzList[data].seleted
      if(nhdye.length == 1){
        this.form.czrkJzdzList[data].provinceId = nhyhe[ nhyhe.length - 1];
        this.form.czrkJzdzList[data].province = nhdye[ nhdye.length - 1];
        this.form.czrkJzdzList[data].cityId = null
        this.form.czrkJzdzList[data].city = null
        this.form.czrkJzdzList[data].regionId = null
        this.form.czrkJzdzList[data].region = null
        this.form.czrkJzdzList[data].townId = null
        this.form.czrkJzdzList[data].town = null
        this.form.czrkJzdzList[data].villageId = null
        this.form.czrkJzdzList[data].village = null
      }else if(nhdye.length == 2){
        this.form.czrkJzdzList[data].cityId = nhyhe[ nhyhe.length - 1];
        this.form.czrkJzdzList[data].city = nhdye[ nhdye.length - 1];
        this.form.czrkJzdzList[data].regionId = null
        this.form.czrkJzdzList[data].region = null
        this.form.czrkJzdzList[data].townId = null
        this.form.czrkJzdzList[data].town = null
        this.form.czrkJzdzList[data].villageId = null
        this.form.czrkJzdzList[data].village = null
      }else if(nhdye.length == 3){
        this.form.czrkJzdzList[data].regionId = nhyhe[ nhyhe.length - 1];
        this.form.czrkJzdzList[data].region = nhdye[ nhdye.length - 1];
        this.form.czrkJzdzList[data].townId = null
        this.form.czrkJzdzList[data].town = null
        this.form.czrkJzdzList[data].villageId = null
        this.form.czrkJzdzList[data].village = null
      }else if(nhdye.length == 4){
        this.form.czrkJzdzList[data].townId = nhyhe[ nhyhe.length - 1];
        this.form.czrkJzdzList[data].town = nhdye[ nhdye.length - 1];
        this.form.czrkJzdzList[data].villageId = null
        this.form.czrkJzdzList[data].village = null
      }else if(nhdye.length == 5){
        this.form.czrkJzdzList[data].villageId = nhyhe[ nhyhe.length - 1];
        this.form.czrkJzdzList[data].village = nhdye[ nhdye.length - 1];
      }
     this.form.czrkJzdzList[data].deptId =  nhyhe[ nhyhe.length - 1]
      // id
			// this.form.province = data[0];
			// this.form.city = data[1];
			// this.form.region = data[2];
      // 名称
			// this.naiseurya = this.form.province + this.form.city + this.form.region;
			// if (this.jdourdjoaj == false) {
			// 	// 修改
			// 	this.form.nowIn = '';
			// }
			// this.form.nowIn = undefined
			// this.form.villageTowns = data[3]
      console.log(this.form)
		},
		dakousr() {
			console.log(2345);
		},
    mnyesfjer(index,val){
      this.loading = true;
      let pids = {}
      pids.pid = index
      listRoleergth(pids).then(response => {
        // this.cascaderKey = this.cascaderKey + 1
        if(response.data.length == 0){
          return
        }
        if(val !== undefined){
          this.nameutaiL = val
        }
         console.log(this.nameutaiL,87)
      	this.form.czrkJzdzList[this.nameutaiL].optiodne = this.handleData(response.data);
        // this.form.czrkJzdzList[0].optiodne
      	this.loading = false;
        console.log(this.cascaderKey,8765)
      });
    },
    mnyesfjerty(index,val){
      this.loading = true;
      let pids = {}
      pids.pid = index
      listRoleergth(pids).then(response => {
        // this.cascaderKey = this.cascaderKey + 1
        if(response.data.length == 0){
          return false
        }
        for(var i = 0 ; i < this.form.czrkJzdzList.length ; i++){
          // this.nameutaiL = i
          // this.mnyesfjerty(0)
          console.log(i,7528)
          this.form.czrkJzdzList[i].optiodne = this.handleData(response.data);
        }

        // this.form.czrkJzdzList[0].optiodne
      	this.loading = false;
        console.log(this.cascaderKey,8765)
      });
    },

    mnyesfjerop(index){
      this.loading = true;
      let pids = {}
      pids.pid = index
      listRoleergth(pids).then(response => {
      	this.optionsList = this.handleData(response.data);
      	this.loading = false;
      });
    },

    mnyesfjeropwg(index){
      this.loading = true;
      let pids = {}
      pids.pid= index
      // listRoleergthwg(pids).then(response => {
      // 	this.optionsListwg = this.handleDatawg(response.data);
      // 	this.loading = false;
      // });
    },
    mnyesfjers(index){
      this.loading = true;
      let pids = {}
      pids.pid = index
      listRoleergth(pids).then(response => {
        // this.cascaderKey = this.cascaderKey + 1
        if(response.data.length == 0){
          return
        }
      	this.optionsLists = this.handleData(response.data);
      	this.loading = false;
        console.log(this.cascaderKey,8765)
      });
    },
   idjeus(data){
    console.log(data,2347)
    // this.cascaderKey = this.cascaderKey + 1
   },
     format() {
          let res =  this.getfristChild(); // 拿一级数据
          this.list.forEach((item) => {
            // 遍历回显的id 二维数组
            if (item.length > 1) {
              item.forEach(async (sitem, index) => {
                if (index == item.length - 1) {
                  return; // 如果是一级节点就不用查找了
                }
                let arr =  this.getOther(sitem); // 不是一级，获取子级
                this.findItem(res, arr, sitem); //  判断当前拿到的子级数据属于哪个一级数据下的子级，并且加到当前一级的children属性下
              });
            }
          });
           },
     // 递归判断
           findItem(res, arr, id) {
            for (let i = 0; i < res.length; i++) {
              if (res[i].value === id) {
                res[i].children = arr; // 有chidlren 也要判断是不是这个children下的子级
                return res;
              }
              if (res[i].children) {
                this.findItem(res[i].children, arr, id);
              }
            }
             return res;
          },


   // getAddress() {
   // 	        this.mnyesfjer(0).then(res => {
   // 	          this.optionsList =  this.handleData(res.data);
   // 	        }).catch(err => {
   // 	        })
   // 	    },
   	     handleItemChange(val) {
           console.log(val,235)
   	        let code = val ? val[val.length - 1] : '';  //需请求数据的上级地址的code值
   	        let level = val.length + 1;  //需请求第几级地址
            console.log(this.nameutaiL,2345)
            console.log(this.form.czrkJzdzList,12365)
            this.$set(this.form.czrkJzdzList[this.nameutaiL],'optiodne',this.handleData(this.form.czrkJzdzList[this.nameutaiL].optiodne, code, level))
          },


          handleItemChangefr(val) {
            console.log(val,235)
             let code = val ? val[val.length - 1] : '';  //需请求数据的上级地址的code值
             let level = val.length + 1;  //需请求第几级地址
             this.optionsList = this.handleData(this.optionsList, code, level);
          	},

          handleItemChanges(val) {
            console.log(val,235)
             let code = val ? val[val.length - 1] : '';  //需请求数据的上级地址的code值
             let level = val.length + 1;  //需请求第几级地址
             this.optionsLists = this.handleData(this.optionsLists, code, level);
             this.cascaderKey = this.cascaderKey + 1
          	},

         	handleData(data, val, level) {
            console.log(data,val,level,7536)
   	        for (let i = 0; i < data.length; i++) {
   	          if(!data[i].children) {
   	            this.$set(data[i], 'children', []);
   	          }
   	          if(data[i].areaId === val){
                let vfer = {}
                vfer.pid = val
   	            listRoleergth(vfer).then(res => {
                  // this.cascaderKey = this.cascaderKey + 1
   	              if(res.data.length) {
                    console.log(data[i].children,4567)
   	                // data[i].children = res.data;
                    this.$set(data[i], 'children', res.data)
                    console.log(data[i].children,45678)
                     // this.nhdyesku = true
   	                data[i].children.forEach(ele => {
   	                  this.$set(ele, 'children', [])
   	                });
   	              }else {
   	                data[i].children = undefined;
   	              }
   	            }).catch(err => {
   	            });
   	          }else {
   	            if(data[i].children.length){
   	              this.handleData(data[i].children,val,level)
   	            }
   	          }
   	        }

             return data;
         },

         handleItemChangefrwg(val) {
           console.log(val,235)
            let code = val ? val[val.length - 1] : '';  //需请求数据的上级地址的code值
            let level = val.length + 1;  //需请求第几级地址
            this.optionsListwg = this.handleDatawg(this.optionsListwg, code, level);
         	},
         handleDatawg(data, val, level) {
            console.log(data,val,level,7536)
            for (let i = 0; i < data.length; i++) {
              if(!data[i].children) {
                this.$set(data[i], 'children', []);
              }
              if(data[i].id === val){
                let vfer = {}
                vfer.pid = val
                listRoleergthwg(vfer).then(res => {
                  // this.cascaderKey = this.cascaderKey + 1
                  if(res.data.length) {
                    console.log(data[i].children,4567)
                    // data[i].children = res.data;
                    this.$set(data[i], 'children', res.data)
                    console.log(data[i].children,45678)
                     this.nhdyesku = true
                    data[i].children.forEach(ele => {
                      this.$set(ele, 'children', [])
                    });
                  }else {
                    data[i].children = undefined;
                  }
                }).catch(err => {
                });
              }else {
                if(data[i].children.length){
                  this.handleDatawg(data[i].children,val,level)
                }
              }
            }

             return data;
         },

		onSelectedtwo(data) {
			console.log(data);
			// province
			this.queryParams.province = data[0];
			this.queryParams.city = data[1];
			this.queryParams.region = data[2];
			// this.queryParams.villageTowns = data[3]
		},
		/** 查询户籍疫苗信息列表 */
		getList() {
			this.loading = true;
      this.nbdgywkajs = true
			listInfo(this.queryParams).then(response => {
				this.infoList = response.rows;
        this.nbdgywkajs = true
				this.total = response.total;
				this.loading = false;
			});
		},
    /** 查询居住疫苗信息列表 */
    getListjuzhu() {
    	this.loading = true;
      this.nbdgywkajs = true
    	listInfos(this.queryParams).then(response => {
    		this.infoList = response.rows;
        this.nbdgywkajs = true
    		this.total = response.total;
    		this.loading = false;
    	});
    },

		getToken() {
			return getToken();
		},
		getTreeselectjue() {
			this.loading = true;
      let pids = {}
      pids.pid = 0
			listRoleer().then(response => {
				this.options = response.data;
				this.loading = false;
			});
		},
    // 统计数据
    getTreeselectjuetj() {
    	this.loading = true;
      this.dneyhsd = []
      listInfotj().then(response => {
        if(response.data !== undefined){
          this.dneyhsd =  response.data
        }else{
          this.dneyhsd.push({dqdw:null,zhen:null,cun:null,zu:null,czzrs:null,czxz:null,czjs:null,hjzrs:null,hjxz:null,dneyhsd:null})
        }

        this.loading = false;
      });
    },

		// 点击组/角色
		djieskle(node, instanceId) {
			// this.personnel(node.id);
			console.log(node, instanceId);
		},
    nhyu(value, instanceId){
      console.log(value, instanceId);
    },
		// 身份证
		idcde(event) {
			console.log(event);
			// 身份证号码为15位或者18位，15位时全为数字，18位前17位为数字，最后一位是校验位，可能为数字或字符X
			let reg = /^([1-6][1-9]|50)\d{4}(18|19|20)\d{2}((0[1-9])|10|11|12)(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/;
      let _IDre15 =  /^([1-6][1-9]|50)\d{4}\d{2}((0[1-9])|10|11|12)(([0-2][1-9])|10|20|30|31)\d{3}$/;
      // 护照
       // let ncjsle = /^1[45][0-9]{7}$|(^[P|p|S|s]\d{7}$)|(^[S|s|G|g|E|e]\d{8}$)|(^[Gg|Tt|Ss|Ll|Qq|Dd|Aa|Ff]\d{8}$)|(^[H|h|M|m]\d{8,10}$)/;
       let ncjsle = /^[a-zA-Z0-9]{5,17}$/
       let nhyeli = /^[a-zA-Z]{5,17}$/
      // 港澳
      let gnse = /^([A-Z]\d{6,10}(\(\w{1}\))?)$/;
      // 台湾
      // let tw = /^\d{8}|^[a-zA-Z0-9]{10}|^\d{18}$/
      var tw =  /^[0-9]{8}$/;
       var twe = /^[0-9]{10}$/;
      // 校验身份证：
      console.log(reg.test(this.form.idCard),23741)
			if ( reg.test(this.form.idCard)|| _IDre15.test(this.form.idCard)) {
				this.idea();
				// this.go(this.form.idCard.length);
				// callback()
			} else {
        if(ncjsle.test(this.form.idCard) || nhyeli.test(this.form.idCard)){
           console.log(3)
        }else{
          if(gnse.test(this.form.idCard)  ){
              console.log(4)
          }else{
            if(tw.test(this.form.idCard) || twe.test(this.form.idCard)){
              console.log(5)
            }else{
              this.msgInfo('证件格式不正确');
            }

            // return false
          }

        }
				// callback(new Error('身份证号码不正确'))
			}
		},
		// 实现自动生成生日，性别，年龄
		go(val) {
			let iden = this.form.idCard;
			let sex = null;
			let birth = null;
			let birthr = '';
			let myDate = new Date();
			let month = myDate.getMonth() + 1;
			let day = myDate.getDate();
			let age = 0;

			if (val === 18) {
				age = myDate.getFullYear() - iden.substring(6, 10) - 1;
				sex = iden.substring(16, 17);
				birth = iden.substring(6, 10) + '-' + iden.substring(10, 12) + '-' + iden.substring(12, 14);
				if (iden.substring(10, 12) < month || (iden.substring(10, 12) == month && iden.substring(12, 14) <= day)) age++;
			}
			if (val === 15) {
				age = myDate.getFullYear() - iden.substring(6, 8) - 1901;
				sex = iden.substring(13, 14);
				birth = '19' + iden.substring(6, 8) + '-' + iden.substring(8, 10) + '-' + iden.substring(10, 12);
				if (iden.substring(8, 10) < month || (iden.substring(8, 10) == month && iden.substring(10, 12) <= day)) age++;
			}

			if (sex % 2 === 0) sex = '女';
			else sex = '男';
			this.form.gender = sex;
			birthr = birth + '';
			console.log(birthr);
		},


		// 请求身份证数据
		idea() {
			idces({ idCard: this.form.idCard }).then(response => {
				console.log(response);
				this.form.gender = response.data.gender;
				this.form.age = response.data.age
        if(response.data.code !== null){
          this.$set(this.form, 'code', response.data.code)
        }
				if (response.data.userName == null) {
          this.$set(this.form, 'userName', null)
				} else {
          this.$set(this.form, 'userName', response.data.userName)
				}
        this.form.phoneNum   = response.data.phoneNum
        if(response.data.houseType !==null){
          this.form.houseType   = response.data.houseType
        }
        this.form.nowIn   = response.data.nowIn
        this.form.remark   = response.data.remark
			});
		},


		// 取消按钮
		cancel() {
			this.opens = false;
			this.jiezhong = false;
			this.imashow = false;
      this.errorlog=false;
      this.nhyesfx = false
      this.form.czrkJzdzList = this.form.czrkJzdzList.splice(1)
			// this.reset();
		},
		gywoa() {
			console.log(this.form.isVaccination);
			if (this.form.isVaccination !== null) {
				if (this.form.isVaccination == '是') {
					// 接种疫苗
					this.naneme = false,
					this.shouwes = true;
				}else {
					this.naneme = true,
					this.shouwes = false,
					this.form.czrkJzdzList = [{
						provinceId: '',
						province: '',
						deptId: '',
						cityId: '',
						city: '',
						regionId:'',
						region: '',
						townId: '',
						town: '',
						villageId: '',
						village: '',
						nowIn:'',
            seleted:[],
            optiodne:[],
            plaed:'请选择居住地址',
					}
				]
				}
			}
		},
		gywoatwo() {
			console.log(this.queryParams.isVaccination);
			if (this.queryParams.isVaccination !== null) {
				if (this.queryParams.isVaccination == '是') {
					// 接种疫苗
					// (this.naneme = false), (this.shouwes = true);
					this.shouwestwo = false
				} else {
					// (this.naneme = true), (this.shouwes = false);
					this.shouwestwo = true
				}
			}
		},

		// 表单重置
		reset() {
			this.form = {
				id: undefined,
				age:'',
				code:'',
				houseType: '是',
				domicile: undefined,
				province: undefined,
				city: undefined,
				region: undefined,
				userName: undefined,
				gender: undefined,
				idCard: undefined,
				phoneNum: undefined,
				keyIndustries: undefined,
				isVaccination: undefined,
				vaccinationPlace: undefined,
				contraindication: undefined,
				nowIn: '',
        isConfirm:undefined,
        gridId:undefined,
				remark: undefined,
        villageTowns:undefined,
        village:undefined,
        czrkJzdzList: [
        	{
        		provinceId: '',
        		province: '',
        		deptId: '',
        		cityId: '',
        		city: '',
        		regionId:'',
        		region: '',
        		townId: '',
        		town: '',
        		villageId: '',
        		village: '',
        		nowIn:'',
        		disableg:false,
            optiodne:[],
            seleted:[],
            plaed:'请选择居住地址',
        	}

        ]
			};
			this.resetForm('form');
		},
		/** 搜索按钮操作 */
		handleQuery() {
			this.queryParams.pageNum = 1;
			console.log(this.queryParams)
      if(this.queryParams.queryType == 'hj'){
        this.getList();
      }else if(this.queryParams.queryType == 'cz'){
        this.getListjuzhu();
      }
			// this.getList();
		},
		/** 重置按钮操作 */
		resetQuery() {
			this.nhue = false
			this.selectedtwo = []
			setTimeout( ()=>{
				this.nhue = true
			},100)
			this.queryParams.province = undefined;
			this.queryParams.city = undefined;
			this.queryParams.region = undefined;
      this.queryParams.deptId = undefined
      this.queryParams.provinceIdXjd = undefined
      this.queryParams.cityIdXjd = undefined
      this.queryParams.regionIdXjd = undefined
      this.queryParams.villageTownsIdXjd = undefined
      this.queryParams.villageIdXjd = undefined;
      this.queryParams.provinceId = undefined
      this.queryParams.cityId = undefined
      this.queryParams.regionId = undefined
      this.queryParams.villageTownsId = undefined
      this.queryParams.villageId = undefined
      this.queryParams.address   = undefined
      this.listd = []
      this.listds = []
      this.lser = []
			this.resetForm('queryForm');
			this.handleQuery();
		},
		// 多选框选中数据
		handleSelectionChange(selection) {
			this.ids = selection.map(item => item.id);
			this.single = selection.length !== 1;
			this.multiple = !selection.length;
		},
		/** 新增按钮操作 */
		handleAdd(data) {
      this.form = {}
		},

		/** 修改按钮操作 */
		handleUpdate(row) {
      this.opens = true;
      this.nhyesaw = 1
			// this.reset();
			const id = row.id || this.ids;
      this.loading = false
      getInfo(id).then(response => {
        this.form = response.data;
      })
      this.jue = false
      this.jiezhong = false
      this.nhdyesku = true
      this.nhtrew = true
      this.nhyeswdga.nhus = []
      this.naiseurya = '';
      this.hsuej = '';
      console.log(this.form.czrkJzdzList,588)
      this.jdourdjoaj = false;
      this.senlsduea = true
      this.title = '信息详情';
		},
		chahe(data) {
			console.log(data);
			// let labelValue = this.$refs['myCascader'].inputValue
			// console.log(labelValue)
			console.log(this.$refs['myCascader'])

     let nhdye = []
     nhdye = this.$refs['myCascader'].getCheckedNodes()[0].pathLabels
     console.log(nhdye)
      if(data.length == 1){
        this.queryParams.provinceId = data[ data.length - 1];
        this.queryParams.province = nhdye[ data.length - 1];
        this.$set(this.form, 'city', null)
        this.$set(this.form, 'cityId', null)
        this.$set(this.form, 'region', null)
        this.$set(this.form, 'regionId', null)
        this.$set(this.form, 'villageTowns', null)
        this.$set(this.form, 'villageTownsId', null)
        this.$set(this.form, 'villageId', null)
         this.$set(this.form, 'village', null)
      }else if(data.length == 2){
        this.queryParams.cityId = data[ data.length - 1];
        this.queryParams.city = nhdye[ data.length - 1];
        this.$set(this.queryParams, 'region', null)
        this.$set(this.queryParams, 'regionId', null)
        this.$set(this.queryParams, 'villageTowns', null)
        this.$set(this.queryParams, 'villageTownsId', null)
        this.$set(this.queryParams, 'villageId', null)
         this.$set(this.queryParams, 'village', null)
      }else if(data.length == 3){
        this.queryParams.regionId = data[ data.length - 1];
        this.queryParams.region = nhdye[ data.length - 1];
        this.$set(this.queryParams, 'villageTowns', null)
        this.$set(this.queryParams, 'villageTownsId', null)
        this.$set(this.queryParams, 'villageId', null)
         this.$set(this.queryParams, 'village', null)
      }else if(data.length == 4){
        this.queryParams.villageTownsId = data[ data.length - 1];
        this.queryParams.villageTowns = nhdye[ data.length - 1];
        this.$set(this.queryParams, 'villageId', null)
         this.$set(this.queryParams, 'village', null)
      }else if(data.length == 5){
        this.queryParams.villageId = data[ data.length - 1];
        this.queryParams.village = nhdye[ data.length - 1];
      }else{
        // this.nhdyesfgh = '点击选择户籍地址'
      }
		},
    chahes(data){
      console.log(data);
      			// let labelValue = this.$refs['myCascader'].inputValue
      			// console.log(labelValue)
      			console.log(this.$refs['myCascader'])

      let nhdye = []
      nhdye = this.$refs['myCascader'].getCheckedNodes()[0].pathLabels
      console.log(nhdye)

         if(data.length == 1){
           this.$set(this.queryParams, 'address', null)
           this.queryParams.address = nhdye[ data.length - 1];
         }else if(data.length == 2){
          this.$set(this.queryParams, 'address', null)
          this.queryParams.address =  nhdye[0] + nhdye[ data.length - 1];
         }else if(data.length == 3){
           this.$set(this.queryParams, 'address', null)
           this.queryParams.address =  nhdye[0] + nhdye[1]+ nhdye[ data.length - 1];
         }else if(data.length == 4){
           this.$set(this.queryParams, 'address', null)
           this.queryParams.address =  nhdye[0] + nhdye[1]  +nhdye[2] + nhdye[ data.length - 1];
         }else if(data.length == 5){
           this.$set(this.queryParams, 'address', null)
           this.queryParams.address =  nhdye[0] + nhdye[1]  +nhdye[2]+  nhdye[3]+ nhdye[ data.length - 1];
         }

    },
		chahetwo(data) {
			console.log(data)
      if(data.length == 1){
        this.queryParams.provinceId = data[ data.length - 1];
        this.queryParams.villageId = undefined
        this.queryParams.cityId = undefined
        this.queryParams.regionId = undefined
        this.queryParams.villageTownsId = undefined
      }else if(data.length == 2){
        this.queryParams.provinceId = undefined
        this.queryParams.regionId = undefined
        this.queryParams.villageTownsId = undefined
        this.queryParams.villageId = undefined
        this.queryParams.cityId = data[ data.length - 1];
      }else if(data.length == 3){
        this.queryParams.cityId = undefined
        this.queryParams.provinceId = undefined
        this.queryParams.villageTownsId = undefined
        this.queryParams.villageId = undefined
        this.queryParams.regionId = data[ data.length - 1];
      }else if(data.length == 4){
        this.queryParams.provinceId = undefined
        this.queryParams.cityId = undefined
        this.queryParams.regionId = undefined
        this.queryParams.villageId = undefined
        this.queryParams.villageTownsId = data[ data.length - 1];
      }else if(data.length == 5){
        this.queryParams.provinceId = undefined
        this.queryParams.cityId = undefined
        this.queryParams.regionId = undefined
        this.queryParams.villageTownsId = undefined
        this.queryParams.villageId = data[ data.length - 1];
      }
		},
    // 居住地址搜索条件
    chahetwos(data) {
    	console.log(data)
      if(data.length == 1){
        this.queryParams.provinceIdXjd = data[ data.length - 1];
        this.queryParams.cityIdXjd = undefined
        this.queryParams.regionIdXjd = undefined
        this.queryParams.villageTownsIdXjd = undefined
        this.queryParams.villageIdXjd = undefined
      }else if(data.length == 2){
        this.queryParams.provinceIdXjd = undefined
        this.queryParams.cityIdXjd = data[ data.length - 1];
        this.queryParams.regionIdXjd = undefined
        this.queryParams.villageTownsIdXjd = undefined
        this.queryParams.villageIdXjd = undefined
      }else if(data.length == 3){
        this.queryParams.provinceIdXjd = undefined
        this.queryParams.cityIdXjd = undefined
        this.queryParams.regionIdXjd = data[ data.length - 1];
        this.queryParams.villageTownsIdXjd = undefined
        this.queryParams.villageIdXjd = undefined
      }else if(data.length == 4){
        this.queryParams.provinceIdXjd = undefined
        this.queryParams.cityIdXjd = undefined
        this.queryParams.regionIdXjd = undefined
        this.queryParams.villageTownsIdXjd = data[ data.length - 1];
        this.queryParams.villageIdXjd = undefined
      }else if(data.length == 5){
        this.queryParams.provinceIdXjd = undefined
        this.queryParams.cityIdXjd = undefined
        this.queryParams.regionIdXjd = undefined
        this.queryParams.villageTownsIdXjd = undefined
        this.queryParams.villageIdXjd = data[ data.length - 1];
      }
    },
    chahetwoswge(data){
      console.log(data)
      if(this.opens == false){
        return  false
      }
      this.form.gridId = data[data.length - 1]
      console.log(this.form.gridId)
    },
		/** 导出按钮操作 */
		handleExport() {
			var heuia = {
                tableName: "vaccine_info",
                empty: false,
                condition: {}
            }
            var that=this;
            heuia.condition = this.queryParams
			const queryParams = this.queryParams
			this.$confirm('是否确认导出?', "警告", {
			    confirmButtonText: "确定",
			    cancelButtonText: "取消",
			    type: "warning"
			  }).then(function() {
			    return exportConfig(heuia);
			  }).then(response => {
				  const jues= response.data
          that.exportflag=false;
          that.$alert('数据导入中，系统将自动处理数据，请稍后查看结果', "导出结果", { dangerouslyUseHTMLString: true });
          // that.msgSuccess('数据导入中，系统将自动处理数据，请稍后查看结果');
				// exportConfigtyr().then(responsr => {
				// 			console.log(responsr)
				// 			if(responsr.data == true){
				// 				// this.download(jues);
				// 				// window.location.href = jues
				// 				window.open(jues)
				// 			}else{
				// 				this.msgSuccess('数据暂未加载完成，请稍后点击导出进度按钮查看');
				// 			}
				// 		});

			  })


			// this.download('/boman-web-core/core/info/export',
			// 	{
			// 		...this.queryParams
			// 	},
			// 	`post_${new Date().getTime()}.xlsx`
			// );

		},

    /** 导入按钮操作 */
    handleImport() {
      this.upload.title = "数据导入";
      this.upload.opens = true;
    },
    // 获取屏幕高度
              showFilterForm () {
                    this.filterActive = !this.filterActive
                    this.changeTableMaxHeight()
                  },

                  changeTableMaxHeight () {
                    let height = document.body.offsetHeight // 网页可视区域高度
                    // if (this.filterActive) {
                    //   this.tableMaxHeight = height - 320
                    // } else {
                      this.tableMaxHeight = height - 250
                    // }
                    console.log(height)
                  },


  // 常住人口
  chajnd(){
   this.queryParams.queryType = 'cz'
   this.queryParams.pageNum = 1
   this.nhykis = false
   this.nhyki = true
   this.getListjuzhu();
  },
  // 户籍人口
  chajnds(){
    this.nhykis = true
    this.nhyki = false
    this.queryParams.pageNum = 1
   this.queryParams.queryType = 'hj'
   this.getList();
  },
  // 一键确认
  xinxiheu(){
  },
  xinxihe(){

  },
  // 信息同步
  xinxtb(){
  },
  // click(){
    click(event) {
      console.log(event)
          this.$nextTick(() => {
            let d = document.getElementsByClassName("cascader"+ this.ids)
            this.nameutaiL +'s'
            console.log("cascader"+ '' +this.nameutaiL);
            console.log(48);
            console.log(d);
            console.log(d[0]);
            console.log( !d[0].onclick);
            if( d[event] && !d[event].onclick ){
              d[event].onclick = function(e) {
                console.log(e);
                if( e.target.className == "el-cascader-node__label" ){
                  e.target.previousElementSibling.click();
                }
              }
            }
          });
        },
        clicks(event) {
              this.$nextTick(() => {
                let d = document.getElementsByClassName("cascader"+'' +this.id);
                console.log("cascader"+ '' +this.nameutaiL);
                console.log(48);
                console.log(d);
                console.log(d[0]);
                console.log( !d[0].onclick);
                if( d[0] && !d[0].onclick ){
                  d[0].onclick = function(e) {
                    console.log(e);
                    if( e.target.className == "el-cascader-node__label" ){
                      e.target.previousElementSibling.click();
                    }
                  }
                }
              });
            }
  // }
	}
};
</script>
<style lang="scss">
  .placf {
    .el-input {
      .el-input__inner::placeholder{
        color: #333;
      }
      /* 谷歌 */
          .el-input__inner::-webkit-input-placeholder {
             color: #333;
          }
           /* 火狐 */
         .el-input__inner:-moz-placeholder {
              color: #333;
          }
           /*ie*/
         .el-input__inner:-ms-input-placeholder {
              color: #333;
          }
    }

  }
	.jdueuh{
		.el-form-item__label {
			width: 0px !important;
		}
		.el-form-item__content {
			margin-left: 10px !important;
			// width: 70%;
		}
	}
	.ijeuhdy{
		.el-form-item__label {
			width: 80px !important;
		}
		.el-form-item__content {
			margin-left: 80px !important;
			// width: 70%;
		}
	}
	.znshu{
		.el-form-item__label {
			width: 80px !important;
			// padding-left: 30px;
		}
		.el-form-item__content {
			margin-left: 80px !important;

			// width: 70%;
		}
		.el-input__inner{
			padding-left: 0 !important;
		}
	}
	.heioangd{
		.el-form-item__label {
			width: 70px !important;
		}
		.el-form-item__content {
			margin-left: 70px !important;
			// width: 70%;
		}
	}
.hues {
	.area-select {
		margin-left: 0 !important;
		margin-right: 10px;
	}
}
.jehak {
	.el-form-item {
		width: 100%;
	}
	.el-form-item__content {
		width: 60%;
	}
}
.oiuyty {
	.el-form-item__label {
		width: 80px !important;
	}
	.el-form-item__content {
		margin-left: 80px !important;
		// width: 70%;
	}
	input {
		padding-right: 0 !important;
	}
}
.el-dialog__body {
	padding-top: 0;
	padding-bottom: 0;
}
.jhy {
	// width: 100%;
	// .el-form-item__content {
	// 	width: 100%;
	// 	margin-left: 0 !important;
	// }
	.el-form-item__content {
		margin-left: 55px !important;
		// width: 70%;
	}
	.el-form-item__label {
		width: 55px !important;
	}
}
.ehiqya {
	.el-form-item__content {
		display: flex;
		.jdidur {
			flex: 1;
			margin-left: 10px;
			// text-align: left;
			display: flex;
		}
	}
	.upload-demo {
		display: flex;
	}
}
.jdoier{
	display: flex;
	align-items: center;
	.upload-demo {
		display: flex;
	}
}
.hueyde {
	width: 18px;
	height: 18px;
	margin: 0 5px;
	margin-right: 10px;
}
.hueydele {
	width: 15px;
	height: 18px;
}
.hyeoa {
	height: 100%;
	display: flex;
	align-items: center;
}
.hjdoecdre {
	// margin-top: 50%;
	transform: translateY(50%);
}
.ojhgy {
	.el-dialog {
		padding-bottom: 40px;
		padding-top: 10px;
	}
	.el-dialog__header {
		padding-bottom: 20px;
	}
	.el-table .cell {
		line-height: 50px;
	}
}
.hueya{
	margin-left: 0 !important;
}
.iejghiadh{
	.el-input__inner{
		padding-right: 0 !important;
		padding-left: 5px !important;
	}
}
.nhoesf{
  span:hover{
    cursor:pointer
  }
}
.tank{
  .tank_p{
    font-size: 15px;
    font-family: PingFang SC;
    font-weight: bold;
    color: #1890FF;
    margin-bottom: 10px;
     // padding-left: 20px;
  }
  .tank_div{
    display: flex;
    justify-content: space-around;
    margin-bottom: 25px;
    padding-left: 30px;
    p{
      flex: 1;
      display: flex;
      flex-direction: column;
      font-size: 15px;
      font-family: PingFang SC;
      font-weight: bold;
      color: #343434;
      line-height: 20px;
      // text-align: center;
    }
    p span:nth-child(2){
      font-size: 15px;
      font-family: PingFang SC;
      font-weight: 400;
      color: #343434;
    }
  }
  .tankd_div{
    display: flex;
    justify-content: space-around;
    margin-bottom: 10px;
    p{
      width: 40%;
      display: flex;
      flex-direction: column;
      font-size: 15px;
      font-family: PingFang SC;
      font-weight: bold;
      color: #343434;
      line-height: 25px;
      padding-left: 30px;
    }
    p:nth-child(2){
      width: 60%;

    }
    p span:nth-child(2){
      font-size: 15px;
      font-family: PingFang SC;
      font-weight: 400;
      color: #343434;
    }
    p .nhyu{
      font-size: 15px;
      font-family: PingFang SC;
      font-weight: 400;
      color: #343434;
    }
  }
}
</style>
